<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [3d-tiles-validator](./3d-tiles-validator.md) &gt; [ValidationOptions](./3d-tiles-validator.validationoptions.md)

## ValidationOptions class

> This API is provided as a preview for developers and may change based on feedback that we receive. Do not use this API in a production environment.
> 

A class describing the options for a validator within a `ValidationContext`

Note: Some aspects of this class are preliminary. The exact options and their representation in this class may still change.

<b>Signature:</b>

```typescript
export declare class ValidationOptions 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)()](./3d-tiles-validator.validationoptions._constructor_.md) |  | <p><b><i>(BETA)</i></b> Default constructor.</p><p>The default options will be:</p><p>- <code>validateContentData = true</code>, causing content data to be validated - <code>includeContentTypes = undefined</code>, causing ALL known content types to be included in the validation. - <code>excludeContentTypes = undefined</code>, causing NO known content types to be excluded the validation.</p> |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [excludeContentTypes](./3d-tiles-validator.validationoptions.excludecontenttypes.md) |  | string\[\] \| undefined | <p><b><i>(BETA)</i></b> The content types that should be excluded.</p><p>See <code>includeContentTypes</code> for details.</p><p>If this is <code>undefined</code>, then NO known content type will be excluded.</p> |
|  [includeContentTypes](./3d-tiles-validator.validationoptions.includecontenttypes.md) |  | string\[\] \| undefined | <p><b><i>(BETA)</i></b> The content types that should be included.</p><p>This is an array containing any of the following content type descriptors:</p><p>- <code>CONTENT_TYPE_TILESET</code> (for external tilesets)</p><p>- <code>CONTENT_TYPE_GLB</code> (for binary glTF only)</p><p>- <code>CONTENT_TYPE_GLTF</code> (for JSON-based glTF)</p><p>- <code>CONTENT_TYPE_B3DM</code></p><p>- <code>CONTENT_TYPE_I3DM</code></p><p>- <code>CONTENT_TYPE_CMPT</code></p><p>- <code>CONTENT_TYPE_PNTS</code></p><p>- <code>CONTENT_TYPE_3TZ</code> (Experimental support)</p><p>- <code>CONTENT_TYPE_GEOM</code> (Not validated yet)</p><p>- <code>CONTENT_TYPE_VCTR</code> (Not validated yet)</p><p>- <code>CONTENT_TYPE_GEOJSON</code> (Not validated yet)</p><p>If this is <code>undefined</code>, then ALL known content types will be included. Note that this may mean that encountering certain content types will cause a validation warning when the content type validation is not implemented.</p> |
|  [validateContentData](./3d-tiles-validator.validationoptions.validatecontentdata.md) |  | boolean | <b><i>(BETA)</i></b> The flag that incicates whether content data should be validated at all. When this is <code>false</code>, then all content data validations will be skipped. |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [fromJson(json)](./3d-tiles-validator.validationoptions.fromjson.md) | <code>static</code> | <b><i>(BETA)</i></b> Creates a new <code>ValidationOptions</code> object where each property is initialized from the given JSON object. |

