import { ValidationOptions } from "./ValidationOptions";
import { ContentData } from "./ContentData";
/**
 * A class for checking the settings that are stored
 * in a `ValidationOptions` object, and determine
 * whether (and how) certain validation steps should
 * be performed.
 *
 * @internal
 */
export declare class ValidationOptionChecks {
    /**
     * Examines the given validation options, to see whether the given
     * content data should be validated.
     *
     * @param options - The validation options
     * @param contentData - The content data
     * @returns Whether the content data should be validated
     */
    static shouldValidate(options: ValidationOptions, contentData: ContentData): Promise<boolean>;
}
//# sourceMappingURL=ValidationOptionChecks.d.ts.map